<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Customers</ion-title>
  </ion-toolbar>
  <ion-toolbar color="light">
    <ion-searchbar mode="ios" placeholder="Search" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <ion-list *ngIf="customers" class="p-t-0">
    <ion-item button="true" *ngFor="let customer of customers" (click)="detail(customer)">      
      <p class="date"># {{customer.ID}}</p>
      <ion-label>        
        <h2>{{customer.Name}}</h2>
        <p [class]="statusColor(customer.Status)">{{customer.Status | customerstatus}}</p>
      </ion-label>      
    </ion-item>
  </ion-list>

  <ion-list *ngIf="!customers">
      <ion-item color="light">
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
      <ion-item color="light">
        <ion-avatar slot="start" hidden>
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
      <ion-item color="light">
        <ion-avatar slot="start" hidden>
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
    </ion-list>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="add()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
